"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "OutputCard", {
    enumerable: true,
    get: function() {
        return OutputCard;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _useOutputCard = require("./useOutputCard");
const _renderOutputCard = require("./renderOutputCard");
const _useOutputCardStylesstyles = require("./useOutputCardStyles.styles");
const _reactprovider = require("@fluentui-copilot/react-provider");
const OutputCard = /*#__PURE__*/ _react.forwardRef((props, ref)=>{
    const state = (0, _useOutputCard.useOutputCard_unstable)(props, ref);
    (0, _useOutputCardStylesstyles.useOutputCardStyles_unstable)(state);
    (0, _reactprovider.useCustomStyleHook)('useOutputCardStyles')(state);
    return (0, _renderOutputCard.renderOutputCard_unstable)(state);
});
OutputCard.displayName = 'OutputCard';
